#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K26	"@(#)EM_K26.c	3.1";
	/****************************************************************/
	/*
	 *      K_set_process_status
	 */


/*
 *      K_set_process_status (
 *          1   procSeid, : seid            : long   (* process SEID *)
 *          2  &status,   : proc_stat_block : struct (* new status   *)
 *          3   choice    : selector        : int    (* stat select  *)
 *              )
 */

K_set_process_status( PprocSeid, PstatusP, Pchoice )
	seid            PprocSeid;
	proc_stat_block *PstatusP;
	selector        Pchoice;
{
	struct  {       /* Ksetps_param */
			seid            p_seid; /* const */
			proc_stat_block status; /* const */
			selector        choice; /* const */
		}pb;



	pb.p_seid = PprocSeid;
	st_copy(PstatusP, &pb.status, sizeof(proc_stat_block) );
	pb.choice = Pchoice;

	return( EMT26(&pb) );
}



